#!/usr/bin/env python

#
# File route descriptor.
#

from dm.common.utility.configurationManager import ConfigurationManager
from fileSessionController import FileSessionController

class FileRouteDescriptor:

    @classmethod
    def getRoutes(cls):
        contextRoot = ConfigurationManager.getInstance().getContextRoot()

        # Static instances shared between different routes
        fileSessionController = FileSessionController()

        # Define routes.
        routes = [

            # Process file
            {
                'name' : 'processFile',
                'path' : '%s/files/processFile' % contextRoot,
                'controller' : fileSessionController,
                'action' : 'processFile',
                'method' : ['POST']
            },

            # Stat file
            {
                'name' : 'statFile',
                'path' : '%s/files/statFile' % contextRoot,
                'controller' : fileSessionController,
                'action' : 'statFile',
                'method' : ['POST']
            },

        ]
       
        return routes


